%define upstream_name    Text-TabularDisplay
%define upstream_version 1.38

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Display text in formatted table output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Text::TabularDisplay simplifies displaying textual data in a table. The
output is identical to the columnar display of query results in the mysql
text monitor. For example, this data:

    1, "Tom Jones", "(666) 555-1212"
    2, "Barnaby Jones", "(666) 555-1213"
    3, "Bridget Jones", "(666) 555-1214"

Used like so:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.380.0-5.mga6
+ Revision: 1035164
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.380.0-4.mga6
+ Revision: 937465
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.380.0-3.mga6
+ Revision: 937018
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.380.0-2.mga5
+ Revision: 748009
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.380.0-1.mga5
+ Revision: 724810
- imported package perl-Text-TabularDisplay


* Fri Sep 26 2014 Thierry Vignaud <tv@mageia.org> 1.380.0-1.mga5
- initial release
